#pragma once
#include "HttpServer.h"
#include "XLHttpHeader.h"


class CommanderWeb
{
public:
	CommanderWeb();
	virtual ~CommanderWeb();
	void Create();

	//webからアクセスがあったときに呼ばれます。
	bool WebAccess(const std::string& path,const XLHttpHeader& httpHeaders,unsigned long ip,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
private:
	bool checkRemoteAccess(const XLHttpHeader&httpHeaders,unsigned long ip,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	bool checkLocalAccess(const XLHttpHeader&httpHeaders,unsigned long ip,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	//リモート実行
	std::string ProcExecute(const XLHttpHeader&httpHeaders,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	//リモートスピーカー
	std::string ProcSoundPlay(const XLHttpHeader&httpHeaders,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	//about
	std::string About_Index(const XLHttpHeader&httpHeaders,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	//情報閲覧画面トップ
	std::string Local_Index(const XLHttpHeader&httpHeaders,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	std::string local_secret_update(const XLHttpHeader&httpHeaders,WEBSERVER_RESULT_TYPE* result,std::string* responsString);
	std::string local_fhc_search(const XLHttpHeader&httpHeaders,WEBSERVER_RESULT_TYPE* result,std::string* responsString);

};

